Skip to main content
GET

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

status[]
enum<string>[]

Filter orders by status. Possible values are created, executed and failed.

Available options:
created,
executed,
failed
order_type[]
enum<string>[]

Filter orders by the order type of the quote they come from. Possible values are subscription_creation, subscription_amendment and one_off.

Available options:
subscription_creation,
subscription_amendment,
one_off
execution_mode[]
enum<string>[]

Filter orders by execution mode. Possible values are execute_in_lago and order_only.

Available options:
execute_in_lago,
order_only
customer_id[]
string<uuid>[]

Filter orders by the Lago identifiers of their customers.

Example:
number[]
string[]

Filter orders by their number, as assigned by Lago.

Example:
order_form_number[]
string[]

Filter orders by the number of the order form they come from.

Example:
quote_number[]
string[]

Filter orders by the number of the quote they come from.

Example:
owner_id[]
string<uuid>[]

Filter orders by the Lago identifiers of the users owning the quote they come from.

Example:
search_term
string

Search orders by number.

Example:

"OR-2026"

executed_at_from
string<date-time>

Filter orders executed from a specific date and time, in UTC (ISO 8601). Orders that have not been executed are excluded.

Example:

"2026-01-01T00:00:00Z"

executed_at_to
string<date-time>

Filter orders executed up to a specific date and time, in UTC (ISO 8601). Orders that have not been executed are excluded.

Example:

"2026-12-31T23:59:59Z"

Response

Orders

orders
object[]
required
meta
object
required